#include "testlib.h"
#include <iostream>

using namespace std;
using ll = long long;

int main(int argc, char *argv[]) {
    registerGen(argc, argv, 1);

    int min_n = opt<int>("min_n");
    int max_n = opt<int>("max_n");
    ll min_num = opt<ll>("min_num");
    ll max_num = opt<ll>("max_num");

    int n = rnd.next(min_n, max_n);

    vector <ll> a(n);
    for (int i = 0; i < n; i++) {
        a[i] = rnd.next(min_num, max_num);
    }

    println(n);
    println(a.begin(), a.end());
    return 0;
}